// A class used for loading different mutators per-gametype (mostly ripped from TitanTeamFix)
//
//	Copyright (C) 2008 John "Shambler" Barrett (JBarrett847@Gmail.com or Shambler@OldUnreal.com)
//
//	This program is free software; you can redistribute and/or modify
//	it under the terms of the Open Unreal Mod License version 1.1.
//
Class MLConfigProfile extends Object
	PerObjectConfig
	config(MutatorLoader);

var config array<string> Mutators;
var config array<string> DelayedMutators;
var config bool bSimulateInitMutator;


final function TransferProperties(MLMut Owner)
{
	ValidateProperties(Owner);
	CopyFromProfile(Owner);
}

final function SaveProperties(MLMut Owner)
{
	CopyToProfile(Owner);
	ValidateProperties(Owner);

	SaveConfig();
}


function CopyFromProfile(MLMut Owner)
{
	Owner.Mutators = Mutators;
	Owner.DelayedMutators = DelayedMutators;
	Owner.bSimulateInitMutator = bSimulateInitMutator;
}

function CopyToProfile(MLMut Owner)
{
	Mutators = Owner.Mutators;
	DelayedMutators = Owner.DelayedMutators;
	bSimulateInitMutator = Owner.bSimulateInitMutator;
}

function ValidateProperties(MLMut Owner);
